/**
 * @file      demo.h 
 * @brief     simple class declaration
 */
 
#ifndef __DEMO_H__
#define __DEMO_H__

/**
 * @class DoxyClass
 * @brief Simple demo class
 *
 * A simple demo class for documentation
 */
class DoxyClass 
{
public:
  DoxyClass();
  ~DoxyClass();
  
public:
  void add(int k);
  int get_sum();
  
private:
  int value; //!< internal state member
};


/**
 * @class DoxyClassB
 * @brief Simple demo class
 *
 * A simple demo class for documentation
 *
 * @ingroup OneGroup
 */
class DoxyClassB
{
public:
  DoxyClassB();
  ~DoxyClassB();
  
public:
  //! return a random value
  long get_random() { 
  	return random() 
  }
};

#endif
