/**
 * @file      demo.cpp
 * @brief     simple class implementation
 */
 
 
/**
 * @brief class constructor
 */
DoxyClass::DoxyClass() 
{
	value = 0;
}

/**
 * @brief class destructor
 */
DoxyClass::~DoxyClass() 
{
}

/**
 * @brief add a value to internal member state
 * @param k  value to add
 */
void DoxyClass::add(int k)
{
  value += k;
}

/**
 * @brief get current value of internal member
 */
int DoxyClass::get_sum()
{
	return value;
}


/**
 *
 * @mainpage Mainpage for doxygen project
 *
 * This is a sample project to validate docset bugfix.
 *
 * As reference see @ref MyRefPage
 */
 
 /**
  *
  * @page MyRefPage A related page
  *
  * @section tref_gen General 
  * 
  * This is the description text for the reladed page.
  *
  */
  
/**
 * @defgroup OneGroup Define one group
 *
 * This is a define group to hold some documentations
 *
 */
 